C $Id: exa_hydfracture.for,v 1.2 2005/08/30 20:10:06 haan Exp $
C
C
      subroutine disp(u,kstep,kinc,time,node,noel,jdof,coords)
C
      include 'aba_param.inc'
C
      dimension u(3),time(2),coords(3)
C
      u(1) = -11.5d0*coords(3)
C
      return
      end
C
C
      subroutine dload(f,kstep,kinc,time,noel,npt,layer,kspt,
     $     coords,jltyp,sname)
C
      include 'aba_param.inc'
C
      dimension time(2),coords(3)
      character*80 sname
      if (coords(3).ge.-2110.d0) then
        f = 2750.d0 - (16.25d0*coords(3))
      else if (coords(3).ge.-2132) then
        f = 1750.d0 - (16.25d0*coords(3))
      else
        f = 2250.d0 - (16.25d0*coords(3))
      end if
C
      return
      end
C
C
      subroutine sigini(sigma,coords,ntens,ncrds,noel,npt,layer,
     $     kspt,lrebar,rebarn)
C
      include 'aba_param.inc'
C
      dimension sigma(ntens),coords(ncrds)
      character*80 rebarn
C
      porep = -11.5d0*coords(3)
      if(noel.le.5120) then
         ratio = 0.94d0
         if (coords(3).ge.-2110.d0) then
            sigma(1) = -(2750.d0 - (16.25d0*coords(3)) - porep)
            sigma(2) = sigma(1) * ratio
         else if (coords(3).ge.-2132) then
            sigma(1) = -(1750.d0 - (16.25d0*coords(3)) - porep)
            sigma(2) = sigma(1) * ratio
         else
            sigma(1) = -(2250.d0 - (16.25d0*coords(3)) - porep)
            sigma(2) = sigma(1) * ratio
         end if
         sigma(3) = coords(3) * 20.0d0 + porep
      else
         sigma(1) = coords(3) * 20.0d0 + porep
      end if
C
      return
      end
C
C
      subroutine uporep(uw0,coords,node)
C
      include 'aba_param.inc'
C
      dimension coords(3)
C
      uw0 = -11.5d0 * coords(3)
C
      return
      end
C
C
      subroutine voidri(ezero,coords,noel)
C
      include 'aba_param.inc'
C
      dimension coords(3)
C
      if(     coords(3) .ge. -2105) then
         ezero = 0.190476
      else if(coords(3) .ge. -2110) then
         ezero = 0.25
      else if(coords(3) .ge. -2112) then
         ezero = 0.255272
      else if(coords(3) .ge. -2114) then
         ezero = 0.261479
      else if(coords(3) .ge. -2116) then
         ezero = 0.268649
      else if(coords(3) .ge. -2118) then
         ezero = 0.276813
      else if(coords(3) .ge. -2120) then
         ezero = 0.286008
      else if(coords(3) .ge. -2122) then
         ezero = 0.296277
      else if(coords(3) .ge. -2124) then
         ezero = 0.307668
      else if(coords(3) .ge. -2126) then
         ezero = 0.320237
      else if(coords(3) .ge. -2128) then
         ezero = 0.334045
      else if(coords(3) .ge. -2130) then
         ezero = 0.349164
      else
         ezero = 0.204819
      end if
C
      return
      end
C
      subroutine ufluidleakoff(perm,pgrad,dn,p_int,p_bot,p_top,
     $     anm,tang,time,dtime,temp,dtemp,predef,dpred,c_bot,c_top,
     $     dc_bot,dc_top,svar,mstvax,noel,npt,kstep,kinc)
c
C
      include 'aba_param.inc'
c
      if (kstep.ne.4) then
        c_bot = 5.879E-10
        c_top = 5.879E-10
      else
        c_bot = 1.E-3
        c_top = 1.E-3
      end if
c
      return
      end
